<div class="col s12 main_content"> 
<md-sidenav-layout fullscreen style="background:url('../assets/img/utensils.jpg')" >
 <md-sidenav #sidenav class="sid_nav" mode="{{mod}}" opened="{{sid}}">
  <md-nav-list style="padding:0px">
       <md-list style="padding:0px">
    
  <div class="row text-center" style="color:#fff;background:#1a237e !important">
    <div class="col-xs-8 col-xs-offset-2" style="background:#fff;border-radius:100%;padding:10px 0px;margin-top:5px;"> <img src="../assets/img/icon1.png" height="100px" width="100px"> </div>     
    <div class="col-xs-12"> <h5 >  Admin Panel </h5> </div> 
  </div>
    
</md-list> 
        
     <!-- Menu for Admin Panel    -->
        
        <span *ngIf=" is_admin == 'true' ">

        <a class="waves-effect " md-list-item  (click)="commonService.nav('mainpage')">
          <md-icon md-list-icon>dashboard</md-icon>
            <span md-line>Dashboard</span>
              <!-- <span md-line class="secondary">Description</span> -->
        </a>

        <a class="waves-effect " md-list-item  (click)="commonService.nav('agent')">
          <md-icon md-list-icon>account_circle</md-icon>
            <span md-line>Agents </span>
              <!-- <span md-line class="secondary">Description</span> -->
        </a> 
        
        <a class="waves-effect " md-list-item (click)="commonService.nav('dummy')">
          <md-icon md-list-icon>card_travel</md-icon>
            <span md-line>Tasks </span>
              <!-- <span md-line class="secondary">Description</span> -->
        </a>
        
        <a class="waves-effect " md-list-item  (click)="commonService.nav('planmenu')">
          <md-icon md-list-icon>local_library</md-icon>
            <span md-line>Plans </span>
              <!-- <span md-line class="secondary">Description</span> -->
        </a>
        <a class="waves-effect " md-list-item  (click)="commonService.nav('gpsrange')">
          <md-icon md-list-icon>perm_data_setting</md-icon>
            <span md-line>GPS Range </span>
              <!-- <span md-lne class="secondary">Description</span> -->
        </a>

        <a class="waves-effect " md-list-item  (click)="commonService.nav('dutyhour')">
          <md-icon md-list-icon>hourglass_empty</md-icon>
            <span md-line>Duty Hours </span>
              <!-- <span md-line class="secondary">Description</span> -->
        </a>

        <a class="waves-effect " md-list-item  (click)="commonService.nav('payoutsearch')">
          <md-icon md-list-icon>attach_money</md-icon>
            <span md-line> Payout Reporting </span>
              <!-- <span md-line class="secondary">Description</span> -->
        </a>

        </span>

    <!-- Menu For Users -->

      <span *ngIf=" is_admin == 'false' ">

         <a class="waves-effect " md-list-item  (click)="commonService.nav('usermainpage')">
          <md-icon md-list-icon>dashboard</md-icon>
            <span md-line>Dashboard</span>
              <!-- <span md-line class="secondary">Description</span> -->
        </a>
       <a class="waves-effect " md-list-item  (click)="commonService.nav('showtasks')">
          <md-icon md-list-icon>attach_money</md-icon>
            <span md-line> Payout Reporting</span>
              <!-- <span md-line class="secondary">Description</span> -->
        </a>
     </span>
           
                 
  </md-nav-list>
  </md-sidenav> 

    <div layout="column" layout-fill style="display:flex;justify-content:space-around">
    <md-toolbar md-scroll-shrink md-shrink-speed-factor="0.5"  class="background-color" style="position:fixed;top:0px;left:0px;background:#1a237e !important"  >
    <button md-icon-button aria-label="Settings" md-ripple (click)="sidenav.toggle()" >
    <md-icon class="icn">reorder</md-icon>
    </button>
     <span class="app-toolbar-filler"></span>
    <!--  <div>
   <span class="waves-effect waves-light" style="color:#fff;border-right:1px solid #eee;padding-right:5px;" [md-menu-trigger-for]="menu">    <i class="fa fa-briefcase" aria-hidden="true"></i>
 Plans </span>
    <span flex></span>
    <md-menu x-position="before"  #menu style="top:20px !important;"> 

    <button md-menu-item > Show Plans</button>
    <button md-menu-item> Add Plan</button>

    </md-menu> 
   <span class="waves-effect waves-light" style="color:#fff" (click)="logout()"> Logout <i class="fa fa-sign-out" aria-hidden="true"></i></span>
    
    </div> -->


    <button md-icon-button [md-menu-trigger-for]="menu" flex layout="row" layoutt-align="end center" >
    <md-icon class="icn">more_vert</md-icon>
    </button>
    <span flex></span>
    <md-menu x-position="before"  #menu style="top:20px !important;">
   
    <button md-menu-item (click)="logout()" >Logout</button>
    </md-menu>
    </md-toolbar>
    </div>
<div class="row" style="margin-top:75px;">
<md-card class="toping">
  <div class="row">
    <div class="col l4 m5 left">
      <img src="../../assets/img/cap.png" height="40px" width="40px" alt="" style="margin-top:-25px;">
        <span style="font-family: 'Pacifico', cursive; font-weight:bold;font-size:20px">  Hookah Royals</span>
    </div>
      <div class="col l4 m5 right sid_icn">
        <strong class="right" style="margin-left:6px !important;color:#336699; font-size:20px" *ngIf="user">  {{user}} <i class="fa fa-sign-in" aria-hidden="true"></i>
 </strong> &nbsp;
       
      </div>
  </div>
</md-card>
    
      <router-outlet name="agent"></router-outlet>
      <router-outlet name="task"></router-outlet>
      <router-outlet name="rules"></router-outlet>
      <router-outlet name="mainpage"></router-outlet>
      <router-outlet name="plans"></router-outlet>
      <router-outlet name="showplans"></router-outlet>
      <router-outlet name="planmenu"></router-outlet>
      <router-outlet name="updatetaskplan"></router-outlet>
      <router-outlet name="payout"></router-outlet>
      <router-outlet name="showtasks"></router-outlet>
      <router-outlet name="dutyhour"></router-outlet>
      <router-outlet name="gpsrange"></router-outlet>      
      <router-outlet name="payoutsearch"></router-outlet>
      <router-outlet name="payoutsearchresult"></router-outlet>
      <router-outlet name="payoutreport"></router-outlet>
      <router-outlet name="usermainpage"></router-outlet>
      <router-outlet name="defaultplan"></router-outlet>
      <router-outlet name="dummy"></router-outlet>

</div>     

  </md-sidenav-layout>


<!-- EDIT RULES MODAL -->

 <div id="modal2" class="modal">
  <md-toolbar class="background-color " style="text-align:center !important;color:#fff">
  <h5 style="width:100%;">
      <i class="fa fa-anchor" aria-hidden="true"></i> &nbsp; Edit Rules</h5>
      </md-toolbar>   
    <div class="modal-content" style="box-shadow:none;border-radius:0px;border:none">
         
      <div class="row">
         <div class="input-field col s12">
          <input id="last_name" type="text" class="validate">
          <label for="last_name">Rule Number</label>
        </div>
        <div class="input-field col s12">
          <input id="last_name" type="text" class="validate">
          <label for="last_name">Rule Type</label>
        </div>
        <div class="input-field col s12">
          <input id="last_name" type="text" class="validate">
          <label for="last_name">Plane Name</label>
        </div>    
       <div class="input-field col s12">
          <input id="last_name" type="text" class="validate">
          <label for="last_name">Amount</label>
        </div>
<div class="input-field col s12">
          <input id="email" type="email" class="validate">
          <label for="email" data-error="wrong" data-success="right">Description</label>
        </div>

  <div class="col s12 text-center">
    <a class="waves-effect waves-light btn"> <i class="fa fa-pencil" aria-hidden="true"></i> Edit</a>
  </div>
     </div>
  </div>
  </div>


</div>





